Bug 27754 - gear-commit не поддерживает spec в .gear/rules
: gear-commit не поддерживает spec в .gear/rules
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gear)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2012-09-19 13:54 by
Modified: 2012-10-28 04:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-09-19 13:54:57
gear-commit читает changelog и версию из корневого каталога git репозитория,
вне зависимости от того, что spec переопределён в другое место через
.gear/rules
------- Comment #1 From 2012-09-19 13:57:46 -------
changelog и версию из specfile в корневном каталоге git репозитория, конечно
же.
------- Comment #2 From 2012-09-19 14:34:54 -------
Ох давно это было ... и мне кажется там вокруг этого были какие-то мысли. Я
посмотрю.
------- Comment #3 From 2012-09-19 15:01:29 -------
Это не так: если .gear/rules закоммичен, то используется тот spec, который в
нем определен.
------- Comment #4 From 2012-09-19 15:27:26 -------
(В ответ на комментарий №3)
> Это не так: если .gear/rules закоммичен, то используется тот spec, который в
> нем определен.

А для не закоммиченных есть опция.
------- Comment #5 From 2012-09-19 15:40:25 -------
(In reply to comment #4)
> (В ответ на комментарий №3)
> > Это не так: если .gear/rules закоммичен, то используется тот spec, который в
> > нем определен.
> 
> А для не закоммиченных есть опция.

Поскольку gear-commit предназначен для работы с незакомиченным workdir, имеет
смысл вызвать find_rules_in_cwd перед find_specfile с тем, чтобы подцепить
актуальную редакцию .gear/rules.  Примерно таким образом уже сделано в
gear-store-tags.
------- Comment #6 From 2012-09-20 18:50:41 -------
(In reply to comment #5)
> (In reply to comment #4)
> > (В ответ на комментарий №3)
> > > Это не так: если .gear/rules закоммичен, то используется тот spec, который в
> > > нем определен.
> > 
> > А для не закоммиченных есть опция.
> 
> Поскольку gear-commit предназначен для работы с незакомиченным workdir, имеет
> смысл вызвать find_rules_in_cwd перед find_specfile с тем, чтобы подцепить
> актуальную редакцию .gear/rules.  Примерно таким образом уже сделано в
> gear-store-tags.

OK, я добавлю этот find_rules_in_cwd.
------- Comment #7 From 2012-10-09 16:16:08 -------
Сегодня опять нарвался на такое поведение.
------- Comment #8 From 2012-10-09 17:12:00 -------
Я приготовил 1.7.4-alt1-1-g79a6242 какое-то время назад, кто-нибудь еще его уже
попробовал?
------- Comment #9 From 2012-10-28 04:37:03 -------
gear-1.7.5-alt1 -> sisyphus:

* Sun Oct 28 2012 Dmitry V. Levin <ldv@altlinux> 1.7.5-alt1
- gear-commit: improved specfile guess logic (closes: #27754).
- gear-srpmimport: fixed import of archives containing .git
  subdirectories by ignoring these .git subdirectories (closes: #25981).